summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dimitris Zlatanidis2024-01-15 02:04:20 +0100
committer Willy Sudiarto Raharjo2024-01-15 07:56:02 +0100
commite615601e0be172fa3e84eb34719d4b936fcb65f7 (patch)
tree470fb2ca57dffa06dfd475f97557caf60f96ecb4 /desktop
parent80c36050190b3bfbe7c4a14c6938d5c35f4e8917 (diff)
downloadslackbuilds-e615601e0be172fa3e84eb34719d4b936fcb65f7.tar.gz
desktop/xfdashboard: Added (Dashboard for XFCE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xfdashboard/README8
-rw-r--r--desktop/xfdashboard/doinst.sh9
-rw-r--r--desktop/xfdashboard/slack-desc19
-rw-r--r--desktop/xfdashboard/xfdashboard.SlackBuild117
-rw-r--r--desktop/xfdashboard/xfdashboard.info10
5 files changed, 163 insertions, 0 deletions
diff --git a/desktop/xfdashboard/README b/desktop/xfdashboard/README
new file mode 100644
index 0000000000..737d843bde
--- /dev/null
+++ b/desktop/xfdashboard/README
@@ -0,0 +1,8 @@
+xfdashboard provides a GNOME shell dashboard and macOS Mission
+control (Exposé and Spaces) like interface for use with the Xfce
+desktop. It can be configured to run with any keyboard shortcut and
+when executed provides an overview of applications currently open
+enabling the user to switch between different applications. The
+search feature works like Xfce's app finder which makes it
+convenient to search for and start applications.
+
diff --git a/desktop/xfdashboard/doinst.sh b/desktop/xfdashboard/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/xfdashboard/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xfdashboard/slack-desc b/desktop/xfdashboard/slack-desc
new file mode 100644
index 0000000000..c6fe019f24
--- /dev/null
+++ b/desktop/xfdashboard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xfdashboard: xfdashboard (GNOME shell dashboard for xfce4)
+xfdashboard:
+xfdashboard: xfdashboard provides a GNOME shell dashboard and macOS Mission
+xfdashboard: control (Exposé and Spaces) like interface for use with the Xfce
+xfdashboard: desktop. It can be configured to run with any keyboard shortcut and
+xfdashboard: when executed provides an overview of applications currently open
+xfdashboard: enabling the user to switch between different applications. The
+xfdashboard: search feature works like Xfce's app finder which makes it
+xfdashboard: convenient to search for and start applications.
+xfdashboard:
+xfdashboard: Homepage: https://docs.xfce.org/apps/xfdashboard
diff --git a/desktop/xfdashboard/xfdashboard.SlackBuild b/desktop/xfdashboard/xfdashboard.SlackBuild
new file mode 100644
index 0000000000..34cc4c9483
--- /dev/null
+++ b/desktop/xfdashboard/xfdashboard.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for xfdashboard
+
+# Copyright 2024 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xfdashboard
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL COPYING NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/xfdashboard/xfdashboard.info b/desktop/xfdashboard/xfdashboard.info
new file mode 100644
index 0000000000..c8e56da528
--- /dev/null
+++ b/desktop/xfdashboard/xfdashboard.info
@@ -0,0 +1,10 @@
+PRGNAM="xfdashboard"
+VERSION="1.0.0"
+HOMEPAGE="https://docs.xfce.org/apps/xfdashboard"
+DOWNLOAD="https://archive.xfce.org/src/apps/xfdashboard/1.0/xfdashboard-1.0.0.tar.bz2"
+MD5SUM="65e246527317e79078108b5c71700ed9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="clutter"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="dslackw@gmail.com"